curl --request POST \
--url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/history/bulk/updates \
--header 'Content-Type: application/json' \
--data '
{
"start_record_time": "2023-11-07T05:31:56Z",
"end_record_time": "2023-11-07T05:31:56Z",
"page_size": 500,
"next_page_token": "<string>"
}
'import requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/history/bulk/updates"
payload = {
"start_record_time": "2023-11-07T05:31:56Z",
"end_record_time": "2023-11-07T05:31:56Z",
"page_size": 500,
"next_page_token": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
start_record_time: '2023-11-07T05:31:56Z',
end_record_time: '2023-11-07T05:31:56Z',
page_size: 500,
next_page_token: '<string>'
})
};
fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/history/bulk/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object_refs": [
{
"url": "<string>",
"digest": "<string>"
}
],
"next_page_token": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}POST /v0/history/bulk/updates
Under Development, do not use in production yet Get download URLs and metadata for update history objects available for bulk download, between two record times. Note that the returned objects may include also updates outside of the requested record time range (since only full objects are served from storage), but guaranteed to include all updates in the requested range.
Body
The returned objects must include all updates with record time greater than start_record_time (but may also include updates before it).
The returned objects must include all updates with record time at most end_record_time (but may also include updates after it).
The maximum number of objects returned for this request.
1 <= x <= 1000The pagination token returned from a previous call to this endpoint with the same arguments.
Response
ok
The list of references to the bulk storage objects containing the updates.
Show child attributes
Show child attributes
When requesting the next page of results, pass this as after
to the next ListBulkUpdateHistoryObjectsRequest invocation.
Will be absent when there are no more pages.
Was this page helpful?